package org.thibault.android.clock.binary;

import java.util.Calendar;
import java.util.TimeZone;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.util.Log;
import android.view.ViewGroup;
import android.widget.LinearLayout;

public class Explanation extends Activity {
	static void say(Context context, String msg){
		Log.d("BinaryClock.Explanation",msg);
		//Toast t=Toast.makeText(context,msg,Toast.LENGTH_SHORT);
		//t.show();
	}

	private Clock clock = null;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		Context context=getApplicationContext();
		super.onCreate(savedInstanceState);
		setContentView(R.layout.explanation);
		ViewGroup container=(ViewGroup)findViewById(R.id.explanationContainer);
		clock=new Clock(context);
		clock.setStyle(StyleRegistry.SAPPHIRE_ON_WOOD, true);
		clock.monitorTime(this);
        LinearLayout.LayoutParams params
    	=new LinearLayout.LayoutParams(LinearLayout.LayoutParams.MATCH_PARENT,
    								   LinearLayout.LayoutParams.MATCH_PARENT);
		container.addView(clock,params);
	}

	@Override
	protected void onDestroy() {
		super.onDestroy();
		if (clock != null)
			clock.stopMonitoringTime(this);
	}
}