package org.thibault.android.clock.binary;

import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.PixelXorXfermode;

public class XorSeparator extends Separator {

	private Paint paint;
	public XorSeparator(int fore, int back) {
		paint=new Paint();
		paint.setStyle(Paint.Style.STROKE);
		paint.setColor(back);
		paint.setXfermode(new PixelXorXfermode(fore));
	}

	@Override
	protected Paint getPaint() {
		return paint;
	}

}
