package org.thibault.android.clock.binary;

import android.content.res.Resources;
import android.graphics.Color;

public class DrawableStyle extends Style {

	public DrawableStyle(int foreId, int backId, int textColor, int textBkg, boolean textBkgValid,
						 int sepColor, 
						 Resources resources) {
		super(new DrawableFiller(foreId, resources), new DrawableFiller(backId, resources),
			  new FlatTexter(textColor,textBkg,textBkgValid),
			  new FlatSeparator(sepColor));
	}

}
