package org.thibault.android.clock.binary;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Typeface;

public abstract class Texter {
	public abstract void drawText(int tick, int diameter, Canvas c);
	protected Paint mkPaint(int color, Typeface typeface, int typeSizePt, int diameter) {
		Paint paint=new Paint();
		paint.setColor(color);
		paint.setTypeface(typeface);
		final float density=(Updater.density<0) ? 160 : Updater.density;
		final int textSize=(int)((16.0f*160.0f/72.0f)*density+0.5f);
		final int maxTextSize=diameter/6;
		paint.setTextSize((textSize>maxTextSize) ? maxTextSize : textSize);
		
		return paint;
	}
}